Subject: RE: [Sip] URI and URL

From: Sean Olson <[email-masked]>
Date: Fri, 8 Mar 2002 10:17:00 -0800 (PST)

--- "Chen, Xin (Xin)" <[email-masked]> wrote:
> Hi Sean, 
> 
> Thanks for your response. 
> 
> I still don't quite catch why they are
> interchangeable for the purposes of
> SIP since the text says the URL is the subset of
> URI. According to the text,
> I think the [email-masked] is like the URI and
> SIP:[email-masked] or
> mailto:[email-masked] is like the URL,  beacuse
> SIP:[email-masked]
> futher narrows the resource by a protocol name.

To be explicit, my SIP URL is
"sip:[email-masked]". All URLs are also URIs
(this is the part about URLs being a subset of the
URI space). So, my SIP URI is "sip:[email-masked]"

The scheme name ("sip:", "tel:", etc.) is an inherent
part of the URI/URL/URN -- it cannot be removed
without changing the semantics of the string.

> 
> Also what do you mean by "It is arguable whether the
> tel: URI is also a tel:
> URL depending on how you view telephone numbers."?

What I meant is that in some circumstances, a 
phone number refers to a literal device and in
some circumstances a phone number refers to a service.
(and there are other weird uses, but I will leave
those for the PSTN experts). In the first case,
you can think of it as a tel: URL (based on the
definition of URL that I quoted). In the second case,
you might prefer to call it a tel: URI (implying
that the number might not convey a "primary access
mechanism"). This is a finely split hair. The
difference is largely academic as it all comes
down to string processing in the end...

/sean

> Can you give two examples
> one for Tel URL and one for Tel URI?
> 
> Thanks
> 
> Xin Chen
> 
> Lucent Technologies
> Tel: +44 1793 883137
> Mobile: +44 7799 034668
> 
> 
> -----Original Message-----
> From: Sean Olson [mailto:[email-masked]]
> Sent: 08 March 2002 17:51
> To: Chen, Xin (Xin); [email-masked]
> Subject: Re: [Sip] URI and URL
> 
> 
> Every URL is a URI. See RFC2396, section 1.2:
> 
>     A URI can be further classified as a locator,
>     a name, or both.  The term "Uniform Resource
>     Locator" (URL) refers to the subset of URI
>     that identify resources via a representation of
>     their primary access mechanism (e.g., their
>     network "location"), rather than identifying
>     the resource by name or by some other attribute
>     (s) of that resource. 
> 
> Your SIP URL is also a SIP URI. For the purposes
> of SIP, the two terms are interchangeable. It is
> arguable whether the tel: URI is also a tel: URL 
> depending on how you view telephone numbers.
> 
> /sean
> 
> --- "Chen, Xin (Xin)" <[email-masked]> wrote:
> > Hi,
> > 
> > I have a very basic question,
> > 
> > What is the difference between URI and URL?
> > 
> > For example, if sip:[email-masked] is my SIP
> URI,
> > then what is my SIP
> > URL?
> > 
> > In the SIPbis09, I see "SIP URI", "Request-URI"
> and
> > "Tel URL", can I say
> > "SIP URL", "Request-URL" and "Tel URI"?
> > 
> > Thanks
> > 
> > Xin Chen
> > 
> > Lucent Technologies
> > Tel: +44 1793 883137
> > Mobile: +44 7799 034668

=====
Sean Olson <[email-masked]>

__________________________________________________
Do You Yahoo!?
Try FREE Yahoo! Mail - the world's greatest free email!
http://mail.yahoo.com/

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Chen, Xin (Xin)" <[email-masked]>
Date: Fri, 8 Mar 2002 18:06:11 -0000

Hi Sean, 

I still don't quite catch why they are interchangeable for the purposes of
SIP since the text says the URL is the subset of URI. According to the text,
I think the [email-masked] is like the URI and SIP:[email-masked] or
mailto:[email-masked] is like the URL,  beacuse SIP:[email-masked]
futher narrows the resource by a protocol name.

Also what do you mean by "It is arguable whether the tel: URI is also a tel:
URL depending on how you view telephone numbers."? Can you give two examples
one for Tel URL and one for Tel URI?

Thanks

Xin Chen

Lucent Technologies
Tel: +44 1793 883137
Mobile: +44 7799 034668

-----Original Message-----
From: Sean Olson [mailto:[email-masked]]
Sent: 08 March 2002 17:51
To: Chen, Xin (Xin); [email-masked]
Subject: Re: [Sip] URI and URL

/sean

--- "Chen, Xin (Xin)" <[email-masked]> wrote:
> For example, if sip:[email-masked] is my SIP URI,
> then what is my SIP
> URL?
> 
> In the SIPbis09, I see "SIP URI", "Request-URI" and
> "Tel URL", can I say

=====

---

From: Lawrence Conroy <[email-masked]>
Date: Fri, 8 Mar 2002 18:51:06 +0000

>Hi Sean,
<snip>
>one for Tel URL and one for Tel URI?

To which I reply,
Hi Sean, Xin, Folks,

This one has been puzzling me for a long while (since before Antti codified the
"URL" in 2806). Here's my attempt::

    You could argue that (with the onset of ENUM) a tel: URL doesn't make sense.
You don't necessarily have any idea from this what resource is actually implied
or available, so you could argue that it's a tel: URI.

If you wanted to make a rule on this, perhaps a tel: URI would be the 
value that
you apply to an ENUM lookup, whilst a tel: URL might be the result of an ENUM
lookup that indicates that your client has to dial this (via SIP, or even via
some smart dialer software plugged into your PSTN phone).

They look exactly the same but from context you differentiate.

all the best,
     Lawrence
-- 
[email-masked]: +44 1794 833666::<my opinions>:

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 08 Mar 2002 14:10:31 -0500

> URI space). So, my SIP URI is "sip:[email-masked]"

One of the (minor) changes in bis was to consistently call it a SIP URI,
not a SIP URL. This is based on current thinking in the URN/URI/URL
community. Please see:

http://search.ietf.org/internet-drafts/draft-mealling-uri-ig-02.txt

for a discussion of the differences, or lack thereof.

For the most of the rest of us, the terms URI and URL are
interchangeable, and refer to the same thing - sip:user@domain, for
example.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com